petsc-3.4.2 2013-07-02

# DMGetDMSNES

get read-only private DMSNES context from a DM

### Synopsis

    #include "petscsnes.h"
    #include "petscdm.h"
    PetscErrorCode DMGetDMSNES(DM dm,DMSNES *snesdm)

Not Collective

### Input Argument

dm -DM to be used with SNES

### Output Argument

snesdm -private DMSNES context

### Notes

Use DMGetDMSNESWrite() if write access is needed. The DMSNESSetXXX API should be used wherever possible.

### See Also

DMGetDMSNESWrite()

Level:developer
Location:src/snes/utils/dmsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages